org.apache.ignite.internal.processors.cache.portable

## Interface CacheObjectPortableProcessor

All Superinterfaces:
  GridComponent, GridProcessor, IgniteCacheObjectProcessor

All Known Implementing Classes:
  CacheObjectPortableProcessorImpl

    public interface CacheObjectPortableProcessor
    extends IgniteCacheObjectProcessor

Extended cache object processor interface with additional methods for portables.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`void` `addMeta(int typeId, PortableMetadata newMeta)`
`PortableBuilder` `builder(int typeId)`
`PortableBuilder` `builder(PortableObject portableObj)` Creates builder initialized by existing portable object.
`PortableBuilder` `builder(String clsName)`
`Object` `marshalToPortable(Object obj)`
`Collection<PortableMetadata>` `metadata()`
`Map<Integer,PortableMetadata>` `metadata(Collection<Integer> typeIds)`
`PortableMetadata` `metadata(int typeId)`
`IgnitePortables` `portables()`
`void` `updateMetaData(int typeId, String typeName, String affKeyFieldName, Map<String,Integer> fieldTypeIds)`

### Methods inherited from interface org.apache.ignite.internal.processors.cacheobject.IgniteCacheObjectProcessor

`contextForCache, field, hasField, immutable, isPortableEnabled, isPortableObject, marshal, onUtilityCacheStarted, prepareForCache, toCacheKeyObject, toCacheObject, toCacheObject, toCacheObject, typeId, typeId, unmarshal, unwrapTemporary`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

### Method Detail

#### builder

    PortableBuilder builder(int typeId)

Parameters:
  `typeId` - Type ID.
Returns:
  Builder.

#### builder

    PortableBuilder builder(String clsName)

Parameters:
  `clsName` - Class name.
Returns:
  Builder.

#### builder

    PortableBuilder builder(PortableObject portableObj)

Creates builder initialized by existing portable object.

Parameters:
  `portableObj` - Portable object to edit.
Returns:
  Portable builder.

#### addMeta

    void addMeta(int typeId,
               PortableMetadata newMeta)
                 throws IgniteException

Parameters:
  `typeId` - Type ID.
  `newMeta` - New meta data.
Throws:
  `IgniteException` - In case of error.

#### updateMetaData

    void updateMetaData(int typeId,
                      String typeName,
                      @Nullable
                      String affKeyFieldName,
                      Map<String,Integer> fieldTypeIds)
                        throws IgniteException

Parameters:
  `typeId` - Type ID.
  `typeName` - Type name.
  `affKeyFieldName` - Affinity key field name.
  `fieldTypeIds` - Fields map.
Throws:
  `IgniteException` - In case of error.

#### metadata

    @Nullable
    PortableMetadata metadata(int typeId)
                              throws IgniteException

Parameters:
  `typeId` - Type ID.
Returns:
  Meta data.
Throws:
  `IgniteException` - In case of error.

#### metadata

    Map<Integer,PortableMetadata> metadata(Collection<Integer> typeIds)
                                           throws IgniteException

Parameters:
  `typeIds` - Type ID.
Returns:
  Meta data.
Throws:
  `IgniteException` - In case of error.

#### metadata

    Collection<PortableMetadata> metadata()
                                          throws IgniteException

Returns:
  Metadata for all types.
Throws:
  `IgniteException` - In case of error.

#### portables

    IgnitePortables portables()
                              throws IgniteException

Returns:
  Portables interface.
Throws:
  `IgniteException` - If failed.

#### marshalToPortable

    Object marshalToPortable(Object obj)
                             throws IgniteException

Parameters:
  `obj` - Original object.
Returns:
  Portable object (in case portable marshaller is used).
Throws:
  `IgniteException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015